using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("人员休假设置")]
    public class T_FM_USER_VACATION_SET : MesEntityBase
    {
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        [Description("用户表")]
        public virtual T_FM_USER Nav_User { get; set; }
        [Description("部门")]
        public string DEPARTMENT_NAME { get; set; }

        [DataFieldForeignKey("Nav_Agent")]
        public Guid? AGENT_ID { get; set; }
        [Description("代理人")]
        public virtual T_FM_USER Nav_Agent { get; set; }
        [Description("开始时间")]
        public DateTime? START_DATE { get; set; }

        [Description("结束时间")]
        public DateTime? END_DATE { get; set; }

        [Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }
    }
}
